# $Revision: 1.7 $, $Date: 2006/08/22 15:25:00 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Email
%define	pnam	MessageID
Summary:	Email::MessageID - generate world unique message-ids
Summary(pl):	Email::MessageID - generowanie unikalnych w skali wiata message-id
Name:		perl-Email-MessageID
Version:	1.35
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	220da063bcd47368548e1ab160af6b63
URL:		http://search.cpan.org/dist/Email-MessageID/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-Address >= 1.3
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Message-ids are optional, but highly recommended, headers that
identify a message uniquely. This software generates a unique
message-id.

%description -l pl
Message-ID to opcjonalne, ale zdecydowanie zalecane nagwki unikalnie
identyfikujce wiadomo. Ten modu generuje unikalne Message-ID.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Email/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-MessageID.spec,v $
Revision 1.7  2006/08/22 15:25:00  glen
- rel 1, generic url

Revision 1.6  2006/08/10 21:21:12  agaran
- up to 1.35, rel 0.1, builds here

Revision 1.5  2004/12/26 13:02:43  darekr
- aaaand added README to %doc

Revision 1.4  2004/12/26 13:00:21  darekr
- updated to 1.31

Revision 1.3  2004/12/09 21:39:43  qboosh
- pl desc

Revision 1.2  2004/12/09 17:00:05  ankry
- pl summary, formatting

Revision 1.1  2004/12/09 16:22:59  radek
- new
